Bug 15428 - Db2 Access always reports errors
Db2 Access always reports errors
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: db1 (Show other bugs)
7.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Nalin Dahyabhai
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-08-04 14:26 EDT by Need Real Name
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-08-20 20:34:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2000-08-04 14:26:52 EDT
Whenever any program tries to use the DB2 libraries (eg RPM -q) I get this
error:

  /usr/lib/rpm/rpmq: /lib/libdb.so.2: no version information available
(required by /usr/lib/librpm.so.0)
Comment 1 Jeff Johnson 2000-08-04 14:44:16 EDT
Um, first of all this is a db1 library, not a db2 library (yes the "libdb.so.2"
soname is confusing).

Have you, per chance, not installed the db1 package? What does
	rpm -qf /usr/lib/libdb1.so.2
have to say?
Comment 2 Need Real Name 2000-08-05 12:00:50 EDT
No no, the DB1, 2 and 3 packages are installed.  Output of rpm -qf
/usr/lib/libdb1.so.2 gives:

/usr/lib/rpm/rpmq: /lib/libdb.so.2: no version information available (required
by /usr/lib/librpm.so.0)
db1-1.85-1.3
Comment 3 Jeff Johnson 2000-08-06 17:10:05 EDT
Performing "strip -R comment ..." twice results in all symbols being stripped.

Fixed in db1-1.85-2.
Comment 4 Jeff Johnson 2000-08-06 17:12:12 EDT
Oh yeah, this is a db1 problem, not a db2 problem (Yes I know that the soname of
"libdb.so.2" is
confusing).
Comment 5 Brock Organ 2000-08-20 20:34:08 EDT
this still fails during a 5.2 -> Winston RC-2 upgrade:

this is using db1-1.85-4.i386.rpm

% rpm -qa                                                                       
/usr/lib/rpm/rpmq: error while loading shared libraries: libdb.so.2: cannot open
shared object file: No such file or
directory
Comment 6 Jeff Johnson 2000-10-06 17:38:56 EDT
This is now fixed by having rpm explictly
	Require: db1 = 1.85
which will cause the correct db1 package to satisy the soname dependency.

Note You need to log in before you can comment on or make changes to this bug.